import type { GenericAbortSignal } from './GenericAbortSignal';
import type { GenericFile } from './GenericFile';
export interface DownloaderInterface {
    download: (uris: string[], options: DownloaderOptions) => Promise<GenericFile[]>;
}
export type DownloaderOptions = {
    onProgress?: (percent: number, ...args: any) => void;
    signal?: GenericAbortSignal;
};
export declare class NullDownloader implements DownloaderInterface {
    download(): Promise<GenericFile[]>;
}
